Boxing Data API - Understand the boxing Organizations endpoint
Organizations are the governing bodies that sanction boxing matches and award championship titles. Every title is linked to a specific organization, allowing you to filter for title holders within a particular division.
Endpoints
1. List all organizations:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/organizations/ - Description: Retrieves a list of available organizations, including the organization id and name.
2. Get a specific organization:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/organizations/<organization_id> - Description: Retrieves detailed information about a specific organization.
List all organizations
curl --request GET --url https://boxing-data-api.p.rapidapi.com/v2/organizations/ --header 'x-rapidapi-key: [Your RapidAPI Key]'axios.get('https://boxing-data-api.p.rapidapi.com/v2/organizations', { headers: { 'X-RapidAPI-Key': '[Your RapidAPI Key]' }}).then(response => { console.log(response.data);}).catch(error => { console.error(error);});import requests
url = "https://boxing-data-api.p.rapidapi.com/v2/organizations"headers = { 'X-RapidAPI-Key': '[Your RapidAPI Key]'}
response = requests.get(url, headers=headers)print(response.json())Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 2, "total_pages": 1, "total_items": 2 }, "error": {}, "data": [ { "name": "The Ring Magazine", "slug": "the-ring-magazine", "id": "6715193e0ad13034eb88265c" } ]}Get specific organization
To get a single organization, append the organization ID to the URL: /v2/organizations/<organization_id>
Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 1, "total_pages": 1, "total_items": 1 }, "error": {}, "data": { "name": "World Boxing Organization (WBO)", "slug": "world-boxing-organization", "id": "6715193e0ad13034eb882660" }}